<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yanzhu.jh.project.mapper.SurProjectInvestMapper">
    
    <resultMap type="SurProjectInvest" id="SurProjectInvestResult">
        <result property="id"    column="id"    />
        <result property="projectId"    column="project_id"    />
        <result property="investTime"    column="invest_time"    />
        <result property="investAmount"    column="invest_amount"    />
        <result property="isDel"    column="is_del"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectSurProjectInvestVo">
        select id, project_id, invest_time, invest_amount, is_del, create_by, create_time, update_by, update_time, remark from sur_project_invest
    </sql>

    <select id="selectSurProjectInvestList" parameterType="SurProjectInvest" resultMap="SurProjectInvestResult">
        <include refid="selectSurProjectInvestVo"/>
        <where>  
            <if test="projectId != null "> and project_id = #{projectId}</if>
            <if test="params.beginInvestTime != null and params.beginInvestTime != '' and params.endInvestTime != null and params.endInvestTime != ''"> and invest_time between #{params.beginInvestTime} and #{params.endInvestTime}</if>
            <if test="investAmount != null  and investAmount != ''"> and invest_amount = #{investAmount}</if>
            <if test="isDel != null "> and is_del = #{isDel}</if>
        </where>
    </select>
    
    <select id="selectSurProjectInvestById" parameterType="Long" resultMap="SurProjectInvestResult">
        <include refid="selectSurProjectInvestVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertSurProjectInvest" parameterType="SurProjectInvest">
        insert into sur_project_invest
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="projectId != null">project_id,</if>
            <if test="investTime != null">invest_time,</if>
            <if test="investAmount != null">invest_amount,</if>
            <if test="isDel != null">is_del,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="projectId != null">#{projectId},</if>
            <if test="investTime != null">#{investTime},</if>
            <if test="investAmount != null">#{investAmount},</if>
            <if test="isDel != null">#{isDel},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateSurProjectInvest" parameterType="SurProjectInvest">
        update sur_project_invest
        <trim prefix="SET" suffixOverrides=",">
            <if test="projectId != null">project_id = #{projectId},</if>
            <if test="investTime != null">invest_time = #{investTime},</if>
            <if test="investAmount != null">invest_amount = #{investAmount},</if>
            <if test="isDel != null">is_del = #{isDel},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteSurProjectInvestById" parameterType="Long">
        delete from sur_project_invest where id = #{id}
    </delete>

    <delete id="deleteSurProjectInvestByIds" parameterType="String">
        delete from sur_project_invest where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>